Bug 21276 - hg2git traceback on startup
: hg2git traceback on startup
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/hg2git)
: unstable
: all Linux
: P3 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2009-08-28 14:00 by
Modified: 2012-03-16 14:00 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2009-08-28 14:00:57
Видимо, в mercurial поменялся интерфейс класса ui:

$ hg-fast-export -r $REPODIR
Traceback (most recent call last):
  File "/usr/bin/hg-fast-export.py", line 402, in <module>
    options.statusfile,authors=a,sob=options.sob,force=options.force))
  File "/usr/bin/hg-fast-export.py", line 331, in hg2git
    ui,repo=setup_repo(repourl)
  File "/usr/bin/hg2git.py", line 19, in setup_repo
    myui=ui.ui(interactive=False)
TypeError: __init__() got an unexpected keyword argument 'interactive'

$ rpm -q hg2git mercurial
hg2git-0.1-alt2
mercurial-1.3.1-alt1
------- Comment #1 From 2009-08-28 14:12:24 -------
У меня в master опять лежит рабочий код.
------- Comment #2 From 2009-08-28 14:18:59 -------
(In reply to comment #1)
> У меня в master опять лежит рабочий код.

hg2git  vvk @everybody

Обновишь пакет?
------- Comment #3 From 2009-08-28 14:31:27 -------
Смёржил
------- Comment #4 From 2009-08-28 14:42:50 -------
hg2git-0.1-alt3 -> sisyphus:

* Fri Aug 28 2009 Vladimir V. Kamarzin <vvk@altlinux> 0.1-alt3

- New version from raorn (merged with upstream) (Closes: #21276)